// GraphTitle.cpp : t@C
//

#include "stdafx.h"
#include "MMA_G.h"
#include "GraphTitle.h"
#include "General.h"


// CGraphTitle _CAO

IMPLEMENT_DYNAMIC(CGraphTitle, CDialog)

CGraphTitle::CGraphTitle(CWnd* pParent /*=NULL*/)
	: CDialog(CGraphTitle::IDD, pParent)
{

}

CGraphTitle::~CGraphTitle()
{
}

void CGraphTitle::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_EDIT_TITLE, m_cEditTitle);
}


BEGIN_MESSAGE_MAP(CGraphTitle, CDialog)
	ON_BN_CLICKED(IDOK, &CGraphTitle::OnBnClickedOk)
	ON_WM_DESTROY()
END_MESSAGE_MAP()

// c[`bv\f[^
static const SToolTipData s_aToolTip[] = {
	{IDOK, "Oẗs܂B"},
	{IDCANCEL, "̃_CAO܂B"},
	{0, NULL}
};

BOOL CGraphTitle::OnInitDialog()
{
	CDialog::OnInitDialog();

	m_cEditTitle.SetWindowText(m_sTitle);

	// c[`bv\ݒ
	CGeneral::SetToolTip(m_tooltip, s_aToolTip, this);

	return TRUE;
}

void CGraphTitle::SetTitle(CString title)
{
	m_sTitle = title;
}

void CGraphTitle::GetTitle(CString& title)
{
	title = m_sTitle;
}

void CGraphTitle::OnBnClickedOk()
{
	m_cEditTitle.GetWindowText(m_sTitle);

	OnOK();
}

void CGraphTitle::OnDestroy()
{
	CDialog::OnDestroy();

	OnCancel();
}

//*****************************************************************************************************
//  1. ֐
//		CGraphTitle::PreTranslateMessage
//----------------------------------------------------------------------------------------------------
//  2. @\
//		EBhEbZ[W
//----------------------------------------------------------------------------------------------------
//  3. p[^
//		MSG*	pMsg			[I] MSG\̂ւ̃|C^
//----------------------------------------------------------------------------------------------------
//  4. ߂l
//		BOOL	eNX̕Ԓl̂܂ܕԂ
//*****************************************************************************************************
BOOL CGraphTitle::PreTranslateMessage(MSG* pMsg)
{
	// c[`bv\邽߂̏
	switch(pMsg->message){
	case WM_LBUTTONDOWN:            
	case WM_LBUTTONUP:              
	case WM_MOUSEMOVE:
		if (m_tooltip.m_hWnd)
			m_tooltip.RelayEvent(pMsg);
		break;
	}

	return CDialog::PreTranslateMessage(pMsg);
}
